timeCard の一覧
名前空間: microsoft.graph
重要
Microsoft Graph のバージョンの /beta API は変更される可能性があります。 実稼働アプリケーションでこれらの API を使用することは、サポートされていません。 API が v1.0 で使用できるかどうかを確認するには、 バージョン セレクターを使用します。
スケジュール内の timeCard エントリ の一覧を取得 します。
アクセス許可
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | Schedule.Read.All、Schedule.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | Schedule.Read.All 、 Schedule.ReadWrite.All |
*大事な: アプリケーションのアクセス許可を使用する場合は、要求に
MS-APP-ACTS-ASヘッダーを含める必要があります。
HTTP 要求
GET /teams/{teamId}/schedule/timecards
オプションのクエリ パラメーター
このメソッドは、 $filter 応答 $orderBy のカスタマイズに役立 $top つ 、 、 $skipToken 、 OData クエリ パラメーターをサポートします。 一般的な情報については、「OData クエリ パラメーター」を参照してください。
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー {token}。必須。 |
| MS-APP-ACTS-AS | アプリが機能しているユーザーの代わりに使用する ID。 アプリケーションのアクセス許可スコープを使用する場合は必須です。 |
要求本文
このメソッドには、要求本文を指定しません。
応答
成功した場合、このメソッドは応答コードと、応答本文の 200 OK timeCard オブジェクトの一覧を返します。
例
要求
要求の例を次に示します。
GET https://graph.microsoft.com/beta/teams/fd15cad8-80f6-484f-9666-3caf695fbf32/schedule/timeCards?$top=2&$filter=state eq 'clockedOut'
応答
応答の例を次に示します。
注: ここに示す応答オブジェクトは、読みやすさのために短縮されている場合があります。
HTTP/1.1 200 OK
Content-type: application/json
{
"value": [
{
"@odata.etag": "\"3400c313-0000-0d00-0000-60afe1940000\"",
"id": "TCK_d1e0f245-9996-4125-b128-d3eb5c4b0164",
"createdDateTime": "2020-09-21T18:01:29.302Z",
"lastModifiedDateTime": "2021-05-27T18:14:44.503Z",
"userId": "66b4f2a4-425d-4dec-8172-7e889950885e",
"state": "clockedOut",
"confirmedBy": "none",
"notes": null,
"lastModifiedBy": {
"application": null,
"device": null,
"conversation": null,
"user": {
"id": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
"displayName": "Jing Jing GuTwo"
}
},
"clockInEvent": {
"dateTime": "2020-09-21T18:01:29.302Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "ClockIn-OBO Shorbani"
}
},
"clockOutEvent": {
"dateTime": "2021-05-27T18:14:44.503Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "clock out notes"
}
},
"breaks": [],
"originalEntry": {
"clockInEvent": {
"dateTime": "2020-09-21T18:01:29.302Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "ClockIn-OBO Shorbani"
}
},
"clockOutEvent": {
"dateTime": "2021-05-27T18:14:44.503Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "clock out notes"
}
},
"breaks": []
},
"createdBy": {
"application": null,
"device": null,
"conversation": null,
"user": {
"id": "66b4f2a4-425d-4dec-8172-7e889950885e",
"displayName": "Janani Varadharajan"
}
}
},
{
"@odata.etag": "\"3400d914-0000-0d00-0000-60afe1ee0000\"",
"id": "TCK_aa73c610-dd75-4021-bb5c-6b071c7aa835",
"createdDateTime": "2020-09-21T18:02:48.688Z",
"lastModifiedDateTime": "2021-05-27T18:16:14.766Z",
"userId": "3041ccde-7544-4ae0-b44f-3618b08ba1ce",
"state": "clockedOut",
"confirmedBy": "none",
"notes": null,
"lastModifiedBy": {
"application": null,
"device": null,
"conversation": null,
"user": {
"id": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
"displayName": "Jing Jing GuTwo"
}
},
"clockInEvent": {
"dateTime": "2020-09-21T18:02:48.688Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "ClockIn-OBO Shorbani"
}
},
"clockOutEvent": {
"dateTime": "2021-05-27T18:16:14.766Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "clock out notes"
}
},
"breaks": [],
"originalEntry": {
"clockInEvent": {
"dateTime": "2020-09-21T18:02:48.688Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "ClockIn-OBO Shorbani"
}
},
"clockOutEvent": {
"dateTime": "2021-05-27T18:16:14.766Z",
"atApprovedLocation": null,
"notes": {
"contentType": "text",
"content": "clock out notes"
}
},
"breaks": []
},
"createdBy": {
"application": null,
"device": null,
"conversation": null,
"user": {
"id": "66b4f2a4-425d-4dec-8172-7e889950885e",
"displayName": "Janani Varadharajan"
}
}
}
]
}
フィードバック
フィードバックの送信と表示